> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all supported blockchain networks

> Returns a list of chains, their IDs, and associated contract addresses.



## OpenAPI

````yaml /openapi.json get /api/v1/evm/networks
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/evm/networks:
    get:
      tags:
        - EVM Wallet
      summary: Get all supported blockchain networks
      description: Returns a list of chains, their IDs, and associated contract addresses.
      operationId: EvmController_getSupportedNetworks
      parameters: []
      responses:
        '200':
          description: List of supported networks
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SupportedChainsResponseDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    SupportedChainsResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/SupportedChainDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    SupportedChainDto:
      type: object
      properties:
        chainId:
          type: number
          example: 1
        name:
          type: string
          example: ethereum
        nativeToken:
          type: string
          example: ETH
        blockExplorerUrl:
          type: string
          example: https://etherscan.io
        isTestnet:
          type: boolean
          example: false
      required:
        - chainId
        - name
        - nativeToken
        - blockExplorerUrl
        - isTestnet
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````